Bug 594536 - Extra fork when tcsh processes backquotes
Summary: Extra fork when tcsh processes backquotes
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tcsh   
(Show other bugs)
Version: 5.5
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Jaromír Končický
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Keywords: Patch, ZStream
Depends On:
Blocks: 640251 673556 688170 689383
TreeView+ depends on / blocked
 
Reported: 2010-05-20 23:42 UTC by Bryan Mason
Modified: 2018-11-14 20:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 689383 (view as bug list)
Environment:
Last Closed: 2013-09-23 11:04:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed Patch (701 bytes, patch)
2010-05-20 23:45 UTC, Bryan Mason
no flags Details | Diff

Description Bryan Mason 2010-05-20 23:42:51 UTC
Description of problem:

    When tcsh-6.14 performs command substitution within backquotes, an
    extra fork() is performed.  this can cause issues when a command
    run within the backquotes wants to find the PID of the main tcsh
    process from which it was fork()ed.

Version-Release number of selected component (if applicable):

    tcsh-6.14-17.el5

How reproducible:

    100%

Steps to Reproduce:

    1. Run "echo `pstree -p $$`"
  
Actual results:

    tcsh(4343)---tcsh(4344)---pstree(4345)

    (note that tcsh forks twice)
    
Expected results:

    tcsh(4346)---pstree(4347)

    (note that tcsh only forks once to run pstree)

Additional info:

    This has been reported and accepted upstream:

        http://mx.gw.com/pipermail/tcsh-bugs/2010-May/000679.html

    This was not a problem with tcsh-6.13

Comment 1 Bryan Mason 2010-05-20 23:45:07 UTC
Created attachment 415541 [details]
Proposed Patch

This patch assumes that the patch in Bug 531353 has already been applied.


Note You need to log in before you can comment on or make changes to this bug.